Subject: bug#62194: 30.0.50; Two Eglot-over-Tramp tests are failing on master, passing on emacs-29

From: João Távora <[email-masked]>
Date: Sat, 18 Mar 2023 12:33:48 +0000

On Sat, Mar 18, 2023 at 12:23 PM Michael Albinus <[email-masked]> wrote:

> There is also the additional problem in Emacs, that process filters do
> not cascade. Any package can activate an own process filter, even for
> Tramp processes, and Tramp would be lost then immediately.

If this were true, then a large number of Emacs extensions that rely
on the scheme I described would be failing horribly.  Read the example
code I posted in bug#61350, you'll notice that a process filter does
nothing more than put text into a buffer and potentially act on that
text _only_ if it has been told to.  So it's very healthy to design
your system to let timers and filters -- yours and others -- run freely.

João